; include file for 20021230 reduction


bdtopdir = '/scrs1/bigdog/'
bddir = bdtopdir + '20021230/'
reddir = '/home/guest07/20021230-red/'
reddatadir = '/home/guest07/red-data/'
badpixmask = reddatadir+'SpeX_bdpxmk.fits'

eocdev = intrange(126,146)
eocdsky = intrange(149,152)
eoccal = 161

; INSTRUMENT INFORMATION FOR LONG SINGLE ORDER
; in a form to be passed to SpeXtools routines
; eg fixbdpx_median

;     edgecoeffs - Array [degree+1,2,norders] of polynomial coefficients 
;                  which define the edges of the orders.  array[*,0,0]
;                  are the coefficients of the bottom edge of the
;                  first order and array[*,1,0] are the coefficients 
;                  of the top edge of the first order.

; LSO lower edge ranges from 186 at x=0 to 184 at x=1023, 
;     upper edge ranges from 282 at x=0 to 280 at x=1023
; from inspection of flat0165.a.fits
edgecoeffs_lso = reform(fltarr(2,2,1),2,2,1)
edgecoeffs_lso[*,0,0] = [186, -2./1023]
edgecoeffs_lso[*,1,0] = [282, -2./1023]

;     norders    - The number of orders

norders_lso = 1

;     xranges    - An array [2,norders] of pixel positions where the
;                  orders are completely on the array

; all of the single order falls on the array

xranges_lso = reform(fltarr(2,1),2,1)
xranges_lso[*,0] = [0, 1023]

;     window     - Number of pixels around bad pixel to median.
;                  fixbdpx_median will move outwards from the pixel 
;                  (over other bad pixels) until window number of 
;                  good pixels are found.

window_lso = 20 ; for both flats and arcs

