pro showmovie, d, header, time, minscl, maxscl, delay=delay

  if not keyword_set(delay) then delay = 0.05
  nxnyn, d, nx, ny, n
  dx = 25
  dy = 20
  titledy = 10
  blank=bytarr(nx,titledy)
  xs = nx + 1.5*dx
  ys = ny + 2*dy + titledy
  window, 0, xs=xs, ys=ys
  !order=1
  plot, [0],[0], xr=[0,nx-1], yr=[ny-1,0], $
    pos = [dx, dy, dx+nx-1, dy+ny-1], /device, /nodata, color=255, $
    xticklen=-0.05, yticklen=-0.01
  for i = 0, n-1 do begin
    tv, linscl(d[*,*,i],minscl,maxscl,0,255, /clip), dx, dy
    tv, blank, 0, ny+2*dy
    xyouts, 0,ny+2*dy,ddd2dstr(time[i], ndig=2, sgnstr=['','','']), /device
    wait, delay
  end

end

pro testshowmovie

 i = 126
 d=rdmovie(i,h=h,t=t)
 showmovie, d, h,t,0,300

end