;+
; NAME:
;  tvgrab
; PURPOSE:   (one line only)
;  Grab plot window and save to a JPG file.
; DESCRIPTION:
; CATEGORY:
;  File I/O
; CALLING SEQUENCE:
;  tvgrab,fn,win
; INPUTS:
;  fn  - file name for output JPG file
;  win - window number to grab and save
; OPTIONAL INPUT PARAMETERS:
; KEYWORD INPUT PARAMETERS:
; OUTPUTS:
; KEYWORD OUTPUT PARAMETERS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY:
;  Written by Marc W. Buie, Lowell Observatory, 2002 Oct 04
;-
pro tvgrab,fn,win

   if badpar(win,[0,1,2,3],0,caller='tvgrab (win)',default=-1) then return

   if win ge 0 then setwin,win

   img=tvrd(/true)
   write_jpeg,fn,img,true=1,quality=100

end
