; return a zero-padded fixed width integer

function fixnum, num, n

  ni = n_elements(num)
  if ni eq 1 then begin
    numstr = strtrim(string(num),2)
    n0 = n - strlen(numstr)
    for j = 0, n0-1 do numstr = '0'+numstr
    return, numstr
  end else begin
    numstrarr=strarr(ni)
    for j = 0, ni-1 do begin
      numstrarr[j] = fixnum(num[j],n)
    end
    return, numstrarr
  end

end 

;print, fixnum(4,3)
;print, fixnum([4,5],3)