function rdmovie, i, header=header, time = time
   
  d = readfits( moviefn(i), header, /silent)
  ohehead = float(strmid(header[19], 14,2))
  omnhead = float(strmid(header[19], 17,2))
  oschead = double(strmid(header[19], 20,9))

  readcol, timefn(i), indx, tstr, format = 'I,A', /silent
  n = n_elements(indx)
  ohrfile = fltarr(n)
  mnfile = fltarr(n)
  scfile = dblarr(n)
  time = dblarr(n)
  for i = 0, n-1 do begin
    mnfile[i] = float(strmid(tstr[i],0,2))
    scfile[i] = double(strmid(tstr[i],3,9))
    if i eq 0 then begin
      ohrfile[i] = ohehead
      if mnfile[i] gt omnhead+30 then ohrfile[i] = ohehead-1.
      if mnfile[i] lt omnhead then ohrfile[i] = ohehead+1.
    end else begin
      if mnfile[i] lt mnfile[i-1] then begin
         ohrfile[i] = ohrfile[i-1]+1.
      end else begin
         ohrfile[i] = ohrfile[i-1]
      end
    end
    time[i] = ten(ohrfile[i], mnfile[i], scfile[i])
  end
  return, d
end

pro driverdmovie
  i = 126

 d = rdmovie( i, header=header, time = time )
 ddd2dms,time,sgn,hr,mn,sc
  help, sgn,hr,mn,sc

 help, header
 help, d

 for j = 0, 17 do $
   print, j, time[j]*3600,hr[j],mn[j],sc[j],$
     format = '(I2,F18.6,I2,":",I2,":",F9.6)'

;TIME_OBS=    '09:16:47.839670' / UT TIME OF ACQISTION ('hh:mm:ss.ss')   
;   0 16:48.821903
;   1 16:49.803804
;   2 16:50.785706
;   3 16:51.767608
;   4 16:52.749509
;   5 16:53.731416
;   6 16:54.713324
;   7 16:55.695226
;   8 16:56.677127
;   9 16:57.659029
;  10 16:58.640931
;  11 16:59.622832
;  12 17:00.604734
;  13 17:01.586636
;  14 17:02.568537
;  15 17:03.550439
;  16 17:04.532340
;  17 17:05.514242

  
  
end
