function rdmovies, indxarr, header=header, time = time

  nindx = n_elements(indxarr)
  
  ; read the first one
  i = 0
  di = rdmovie(indxarr[i], header=header, time = timei)
  nxnyn, di, nx, ny, n

  ; make the arrays and fill it with the first movie
  d = fltarr(nx, ny, n*nindx)
  time = fltarr(n * nindx)
  d[*,*,i*n:(i+1)*n-1] = di
  time[i*n:(i+1)*n-1] = timei

  ; loop over the other movies
  for i = 1, nindx-1 do begin
    di = rdmovie(indxarr[i], header=header, time = timei)
    d[*,*,i*n:(i+1)*n-1] = di
    time[i*n:(i+1)*n-1] = timei
  end

  return, d

end

pro testrdmovies

  indxarr = intrange(126,147)
  d = rdmovies( indxarr, header=header, time = time )
  showmovie, d, h,t,0,300


end